Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding
Class BindingUtils

    java.lang.Object
      com.jgoodies.binding.BindingUtils

    public final class BindingUtils

extends Object

Consists exclusively of static methods that provide convenience behavior used by the Binding classes.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch

Method Summary
`static boolean` | `equals(Object o1, Object o2)` Checks and answers if the two objects are both `null` or equal.
`static boolean` | `isBlank(String str)` Checks and answers if the given string is whitespace, empty (`""`) or `null`.
`static boolean` | `isEmpty(String str)` Checks and answers if the given string is empty (`""`) or `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public static boolean equals(Object o1,
                                 Object o2)

  Checks and answers if the two objects are both `null` or equal.

       #equals(null, null)  == true
       #equals("Hi", "Hi")  == true
       #equals("Hi", null)  == false
       #equals(null, "Hi")  == false
       #equals("Hi", "Ho")  == false

  Parameters:
    `o1` - the first object to compare
    `o2` - the second object to compare
  Returns:
    boolean `true` if and only if both objects are `null` or equal

### isBlank

    public static boolean isBlank(String str)

  Checks and answers if the given string is whitespace, empty (`""`) or `null`.

       #isBlank(null)  == true
       #isBlank("")    == true
       #isBlank(" ")   == true
       #isBlank("Hi ") == false

  Parameters:
    `str` - the string to check, may be `null`
  Returns:
    `true` if the string is whitespace, empty or `null`
  See Also:
    `isEmpty(String)`

### isEmpty

    public static boolean isEmpty(String str)

  Checks and answers if the given string is empty (`""`) or `null`.

       #isEmpty(null)  == true
       #isEmpty("")    == true
       #isEmpty(" ")   == false
       #isEmpty("Hi ") == false

  Parameters:
    `str` - the string to check, may be `null`
  Returns:
    `true` if the string is empty or `null`
  See Also:
    `isBlank(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.